import QtQuick 2.9
import QtQuick.Window 2.2

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")


    property bool vPressed: false

    Rectangle
    {
        id: vRectangle

        color: vPressed? "#ff0000" : "#00ff00"
        anchors.fill: parent
    }


    MouseArea
    {


        anchors.fill: parent

        onPressed:
        {
            vPressed = true
        }

        onReleased:
        {
            vPressed = false
        }
    }


}
